<?php

    /**
     *	TinyMCE plugin
     *
     *	@package Monstra
     *  @subpackage Plugins
     *	@author Romanenko Sergey / Awilum
     *	@copyright 2012 Romanenko Sergey / Awilum
     *	@version 1.0.1
     *
     */


    // Register plugin
    Plugin::register( __FILE__,                    
                    __('TinyMCE', 'tinymce'),
                    __('JavaScript WYSIWYG editor TinyMCE + KCFinder', 'tinymce'),  
                    '1.0.1',
                    'Awilum',                 
                    'http://monstra.org/',
                    null);


    // Add hooks  
    Action::add('admin_header', 'TinyMCE::headers');


    class TinyMCE {
                

        /**
         * Set editor headers
         */
        public static function headers() {

            echo ('
				<script type="text/javascript" src="'.Option::get('siteurl').'/plugins/tinymce/tiny_mce/tiny_mce.js"></script>
				<script type="text/javascript">
					tinyMCE.init({
						// General options
						mode : "textareas",
						theme : "advanced",
						language : "'.Option::get('language').'",
						editor_selector : "tinymce",
						document_base_url : "/",
						relative_urls : false,
						remove_script_host : true,
						extended_valid_elements : "div[*],p[*]",
			  				
						style_formats : [
							{title : "Bold text", inline : "b"},
							{title : "Red text", inline : "span", styles : {color : "#ff0000"}},
							{title : "Red header", block : "h1", styles : {color : "#ff0000"}},
							{title : "Example 1", inline : "span", classes : "example1"},
							{title : "Example 2", inline : "span", classes : "example2"},
							{title : "Table styles"},
							{title : "Table row 1", selector : "tr", classes : "tablerow1"}
						],
						
						plugins : "autolink,lists,spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",

						// Theme options
						theme_advanced_buttons1 : "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,styleselect,formatselect,fontselect,fontsizeselect",
						theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
						theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen",
						theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,spellchecker,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,blockquote,pagebreak",
						theme_advanced_toolbar_location : "top",
						theme_advanced_toolbar_align : "left",
						theme_advanced_statusbar_location : "bottom",
						theme_advanced_resizing : true,

						// Skin options
						skin : "o2k7",
						skin_variant : "silver",

						// Example content CSS (should be your site CSS)
						content_css : "'.Option::get('siteurl').'/public/themes/default/css/style.css",
			        		
						file_browser_callback: "openKCFinder"
					});
			        
					function openKCFinder(field_name, url, type, win) {
						tinyMCE.activeEditor.windowManager.open({                    
							file            		: "'.Option::get('siteurl').'/plugins/tinymce/tiny_mce/plugins/kcfinder/browse.php?opener=tinymce&type=images&lang=ru&dir='.Option::get('siteurl').'/public/uploads&type=" + type,
							title				: "KCFinder 2.5.2",
							width           		: 820,
							height          		: 500,
							resizable       		: "yes",
							inline          		: true,
							close_previous  		: "no",
							popup_css       		: false,
						}, {
							window          : win,
							input           : field_name
						});
							return false;
						}    			
				</script>		
				
            ');

            echo ('
                <script type="text/javascript">
                    <!--
                    $(document).ready(function()    {
                        $("#editor_area").addClass("tinymce");                    
                    });
                    -->
                </script>
            ');
        }

    }

